document.addEventListener('DOMContentLoaded', () => {
  const card = document.querySelector('.greeting-card');
  const fireworksContainer = document.querySelector('.fireworks-container');
  let isAnimating = false;

  // 3D card effect
  document.addEventListener('mousemove', (e) => {
    if (window.innerWidth > 768) {
      const xAxis = (window.innerWidth / 2 - e.pageX) / 25;
      const yAxis = (window.innerHeight / 2 - e.pageY) / 25;
      card.style.transform = `rotateY(${xAxis}deg) rotateX(${yAxis}deg)`;
    }
  });

  // Fireworks animation
  function createFirework() {
    if (!isAnimating) return;

    const firework = document.createElement('div');
    firework.className = 'firework';
    
    const colors = ['#ff0', '#f0f', '#0ff', '#ff4444', '#44ff44'];
    const color = colors[Math.floor(Math.random() * colors.length)];
    
    const size = Math.random() * 5 + 3;
    const left = Math.random() * 100;
    const animationDuration = Math.random() * 1 + 0.5;

    firework.style.cssText = `
      width: ${size}px;
      height: ${size}px;
      left: ${left}vw;
      background: ${color};
      position: absolute;
      bottom: -20px;
      border-radius: 50%;
      animation: shootUp ${animationDuration}s ease-out forwards;
    `;

    fireworksContainer.appendChild(firework);
    
    setTimeout(() => {
      firework.remove();
    }, animationDuration * 1000);
  }

  // Toggle fireworks
  const toggleButton = document.querySelector('.toggle-animation');
  toggleButton.addEventListener('click', () => {
    isAnimating = !isAnimating;
    toggleButton.classList.toggle('active');
    
    if (isAnimating) {
      setInterval(createFirework, 100);
    }
  });

  // Add dynamic style for firework animation
  const style = document.createElement('style');
  style.textContent = `
    @keyframes shootUp {
      0% {
        transform: translateY(0) scale(1);
        opacity: 1;
      }
      100% {
        transform: translateY(-100vh) scale(0);
        opacity: 0;
      }
    }
  `;
  document.head.appendChild(style);
});
